I was upgrading from 4.5.4 to 4.5.10. I am using Centos 4.4 64 bit version. I have a split configuration 1 MTA machine and 1 machine with mail store and ldap servers. My MTA upgrade went smoothly. I was just about finished with the LDAP/Mail Store server when I received this error (from the log file)

Preparing packages for installation...
zimbra-core-4.5.10_GA_1575.RHEL4_64-20071117095807
mkdir: cannot create directory `/opt/zimbra/ssl': File exists
mkdir: cannot create directory `/opt/zimbra/.ssh': File exists
mkdir: cannot create directory `/opt/zimbra/zmstat': File exists
Error occurred during initialization of VM
Dumping a shared archive is not supported on the Server JVM.
error: %post(zimbra-core-4.5.10_GA_1575.RHEL4_64-20071117095807.x86_64) scriptlet failed, exit status 1

I get the same error when I try installing the rpm by hand.

This is a PRODUCTION Machine and I need some assistance ASAP. I will post this as a support ticket as well.

Someone please answer these questions. (assuming I can get this issue resolved and the system completely upgraded by Monday)
1) Can the MTA portion of the system still function without the LDAP / MAIL Store and simply hold messages in the deferred queue until the LDAP/Mail Store can be restored? We have clients that are just using the Anti Spam / MTA aspect of Zimbra and we have customers using everything.

2) Let's say my manager wants to go back to 4.5.4. Do I simply manually uninstall the 4.5.10 rpms and perform the 4.5.4 install as usual or can I just run the 4.5.4 install and it will do a downgrade?

3) Disaster recovery. If I cannot do 2 but we cannot complete the install my manager may opt to do a complete wipe and re-install. Can I simply restore from my last full backup once I do a re-install?

Any and all help is GREATLY appreciated.

thanks

Doug Lochart
Cape Computing Corp